package sharin.doc.builder.xhtml1;

public class StyleElem extends GenericI18nElem<StyleElem> {

    public StyleElem(Object... nodes) {
        super("style", nodes);
    }

    public StyleElem media(Object value) {
        return attr("media", value);
    }

    public StyleElem title(Object value) {
        return attr("title", value);
    }

    public StyleElem type(Object value) {
        return attr("type", value);
    }

    public StyleElem xmlspace(Object value) {
        return attr("xmlspace", value);
    }

    public StyleElem xmlspacePreserve() {
        return xmlspace("preserve");
    }
}
